﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using Android.App;
using Android.Content;
using Android.Net;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

namespace App1
{
    [BroadcastReceiver(Name = "com.companyname.app1_1.MyReceiver", Enabled = true)]
    public class MyReceiver : BroadcastReceiver
    {

        public static readonly int NETWORK_NONE = -1;
        public static readonly int NETWORK_MOBILE = 0;
        public static readonly int NETWORK_WIFI = 1;
        public event EventHandler ConnectionStatusChanged;
        Action runnable;
        public override void OnReceive(Context context, Intent intent)
        {
            var state = method();
            switch (state)
            {
                case 0:
                    Toast.MakeText(context, "NETWORK_MOBILE", ToastLength.Short).Show();
                    break;
                case 1:
                    Toast.MakeText(context, "NETWORK_WIFI", ToastLength.Short).Show();
                    break;
                case -1:
                    Toast.MakeText(context, "NETWORK_NONE", ToastLength.Short).Show();
                    break;
                default:
                    break;
            }
        }

        public static int method()
        {
            var connectivityManager = (ConnectivityManager)Application.Context.GetSystemService(Context.ConnectivityService);

            var activeNetworkInfo = connectivityManager.ActiveNetworkInfo;

            if (activeNetworkInfo != null && activeNetworkInfo.IsConnected)
            {
                if (activeNetworkInfo.Type == ConnectivityType.Wifi)
                {
                    return NETWORK_WIFI;//wifi
                }
                else if (activeNetworkInfo.Type == (ConnectivityType.Mobile))
                {
                    return NETWORK_MOBILE;//mobile
                }
            }
            else
            {
                return NETWORK_NONE;
            }
            return NETWORK_NONE;
        }
    }


}